commit:     9cfa4e7201ab77888398fe9e3150dcf1a179ee04
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 15 04:53:36 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Mar 15 04:53:36 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9cfa4e72

dev-python/jupyterlab: Bump to 4.1.5

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/jupyterlab/Manifest                |  1 +
 dev-python/jupyterlab/jupyterlab-4.1.5.ebuild | 78 +++++++++++++++++++++++++++
 2 files changed, 79 insertions(+)

diff --git a/dev-python/jupyterlab/Manifest b/dev-python/jupyterlab/Manifest
index a913219054cf..a1ae76391b0a 100644
--- a/dev-python/jupyterlab/Manifest
+++ b/dev-python/jupyterlab/Manifest
@@ -1,3 +1,4 @@
 DIST jupyterlab-4.0.13.tar.gz 18354664 BLAKE2B 
6c4df40c8ab5a97cf85025c752f48dc97b8d90e01e4343ba40cd7c25f1d48936040af9704a5a9b855aa8cfc9d43db15c0904c96daa73ec0f65c18b365cd2155b
 SHA512 
89a6e7ca594905b08ce7c85299e3fe0a94cb8bb135258c992c3b6eab20f04b34b956e997a362088347c1488f5720e59f8c3d1366d9fbc5bd0dc7c1cc37ad2d43
 DIST jupyterlab-4.1.2.tar.gz 21810592 BLAKE2B 
5c5c828c0144260e1fbead1f2ea23cd6b458c2c86dc2202ed4e56fd566d85e14544fa7443d0676926e0619721bad5b8e85431bf02f7a61a3f0fceeafb0eafa66
 SHA512 
17ab1132421e494a3ce48edec3823576f0202b90e238a01f8500b86bbd7753a8b3e6376a9f2bdd5cf7b1f50708853d92886b486a4a0c620df179693f1566e3e2
 DIST jupyterlab-4.1.4.tar.gz 21797461 BLAKE2B 
1a2926f153e2c7343ec83d79bd6dbc666f9955cb4df93e8aa6f93c9af625dbad0e1b50c96181257df2969b4cd2e8abe979d6a1662c20b7c08d7730767f54d8f1
 SHA512 
14613f0a008ed37f79d52c149734171d1aa93b0eeedbe62c05dbb3d9d796c27cc754225ebae0ca0615d6bed527b8f641d30333cb092ed7134434124446f3512a
+DIST jupyterlab-4.1.5.tar.gz 21797132 BLAKE2B 
f3bb8d2292cfa60392b7e97b7852479767e831c4131e1980deaedbf03332d2fec2f01f3e7a6c0f830528e1d99a77f6092a83eb5303d955165946199aed885ffd
 SHA512 
ddd43d5cf7f3ffe18e3baa846270a61a1c5d588901dcc70a32d30ade29273e9c6975640aa89bc9daf58b7fdfc1eeff2f10a9b3f5d174141cbb13a2622579c15e

diff --git a/dev-python/jupyterlab/jupyterlab-4.1.5.ebuild 
b/dev-python/jupyterlab/jupyterlab-4.1.5.ebuild
new file mode 100644
index 000000000000..9e3f5902f2f5
--- /dev/null
+++ b/dev-python/jupyterlab/jupyterlab-4.1.5.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi xdg
+
+DESCRIPTION="JupyterLab computational environment"
+HOMEPAGE="
+       https://jupyter.org/
+       https://github.com/jupyterlab/jupyterlab/
+       https://pypi.org/project/jupyterlab/
+"
+
+LICENSE="BSD MIT GPL-3 Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+       dev-python/async-lru[${PYTHON_USEDEP}]
+       >=dev-python/httpx-0.25.0[${PYTHON_USEDEP}]
+       dev-python/ipykernel[${PYTHON_USEDEP}]
+       >=dev-python/jinja-3.0.3[${PYTHON_USEDEP}]
+       dev-python/jupyter-core[${PYTHON_USEDEP}]
+       >=dev-python/jupyter-lsp-2.0.0[${PYTHON_USEDEP}]
+       >=dev-python/jupyter-server-2.4.0[${PYTHON_USEDEP}]
+       <dev-python/jupyter-server-3[${PYTHON_USEDEP}]
+       >=dev-python/jupyterlab-server-2.19[${PYTHON_USEDEP}]
+       <dev-python/jupyterlab-server-3[${PYTHON_USEDEP}]
+       >=dev-python/notebook-shim-0.2[${PYTHON_USEDEP}]
+       dev-python/packaging[${PYTHON_USEDEP}]
+       dev-python/tomli[${PYTHON_USEDEP}]
+       >=dev-python/tornado-6.2.0[${PYTHON_USEDEP}]
+       dev-python/traitlets[${PYTHON_USEDEP}]
+       net-libs/nodejs
+"
+
+BDEPEND="
+       dev-python/hatch-jupyter-builder[${PYTHON_USEDEP}]
+       test? (
+               dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
+               >=dev-python/pytest-jupyter-0.5.3[${PYTHON_USEDEP}]
+               dev-python/pytest-tornasync[${PYTHON_USEDEP}]
+               dev-python/pytest-timeout[${PYTHON_USEDEP}]
+               dev-python/requests[${PYTHON_USEDEP}]
+               dev-python/requests-cache[${PYTHON_USEDEP}]
+               dev-python/virtualenv[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_DESELECT=(
+       # These tests call npm and want internet
+       
jupyterlab/tests/test_jupyterlab.py::TestExtension::test_uninstall_core_extension
+       
jupyterlab/tests/test_jupyterlab.py::TestExtension::test_install_and_uninstall_pinned_folder
+       
jupyterlab/tests/test_jupyterlab.py::TestExtension::test_install_and_uninstall_pinned
+       
jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_custom_minimal_core_config
+       jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_custom
+       jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_check
+       jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build
+       jupyterlab/tests/test_build_api.py::TestBuildAPI::test_clear
+       jupyterlab/tests/test_build_api.py::TestBuildAPI::test_build
+)
+
+EPYTEST_IGNORE=(
+       jupyterlab/tests/test_announcements.py
+)
+
+distutils_enable_tests pytest
+# TODO: package sphinx_copybutton
+#distutils_enable_sphinx docs/source dev-python/sphinx-rtd-theme 
dev-python/myst-parser
+
+python_install_all() {
+       distutils-r1_python_install_all
+       mv "${ED}/usr/etc" "${ED}/etc" || die
+}

Reply via email to